## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanFileOutputStream::XalanFileOutputStreamWriteException Class Reference

`#include <XalanFileOutputStream.hpp>`

Inheritance diagram for XalanFileOutputStream::XalanFileOutputStreamWriteException

Collaboration diagram for XalanFileOutputStream::XalanFileOutputStreamWriteException:

List of all members.

## Public Methods

- XalanFileOutputStreamWriteException ( const XalanDOMString& theFileName, int theErrorCode)
    Construct an XalanFileOutputStreamOpen exception object for an exception that occurred while writing to a text file stream. More...
- virtual ~XalanFileOutputStreamWriteException ()

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStreamWriteException::XalanFileOutputStreamWriteException ( | const XalanDOMString & theFileName,
| int theErrorCode )

Construct an XalanFileOutputStreamOpen exception object for an exception that occurred while writing to a text file stream.

Parameters:

  theFileName | name of file causing the exception
  theErrorCode | number of error encountered

virtual XalanFileOutputStream::XalanFileOutputStreamWriteException::~XalanFileOutputStreamWriteException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.